import 'friendica_version.dart';

class InstanceInfo {
  final int maxStatusCharacters;
  final FriendicaVersion friendicaVersion;
  final String versionString;
  final int maxImageBytes;

  InstanceInfo({
    required this.maxStatusCharacters,
    required this.friendicaVersion,
    required this.versionString,
    required this.maxImageBytes,
  });

  @override
  String toString() {
    return 'InstanceInfo{maxStatusCharacters: $maxStatusCharacters, version: $versionString, maxImageBytes: $maxImageBytes}';
  }
}
